Seriously lost version magickwand

MagickWand for PHP is an object-oriented PHP interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning MagickWand for PHP.
Post Reply
vurentjie

Seriously lost version magickwand

Post by vurentjie » 2008-05-16T08:28:42-07:00

Hi,

i am having a real hassle getting magicKwand up and working,

i have read the anouncement section on windows installation, but this is just not helping me at the moment, actually confusing me as the version of php that i am running is not mentioned (5.2),

anyhow i have installed imagemagik for windows and this seems to be running and i can see its info in my phpinfo() page, however i cannot get magickwand up and going, i have copied the
php_magickwand_Q16_st.dll into my ext directory, and i have included it in my php.ini extensions, however when i run

Code: Select all

<? $magick_wand=NewMagickWand(); ?> etc...
i get 'call to undefined function', which only tells me that things are not so lekker.

now i am not sure whether i have the right version of the .dll for my php, if i have missed anything else, or howelse i would check that magickwand is being linked properly,

There should be info for magikwand in my phpinfo() page, right?

even though i have googled and searched forums nothing is helping.

this my setup
php 5.2.3 on wamp5 with Windows XP

and in my php.ini:

Code: Select all

extension_dir = "c:/wamp/php/ext/"
extension=php_imagick.dll
extension=php_magickwand_Q16_st.dll

I am not quite sure if I should be setting any environment paths for magickwand dll either.


PLEASE BE NICE! i know you have probably answered countless questions like mine.If I have left out any information that might be important please let me know.

regards
gregg

Post Reply